@import "../../styles/reponsive/responsive.scss";
@import "../../styles/colours.scss";

.ContactForm {
  display: flex;
  flex-direction: column;
  align-items: center;
  &__input {
    width: 30vh;
    height: 2rem;
    margin: 5%;
    padding: 0;
    border-radius: 0.5rem;
    border: solid $lightTransparent;
    text-align: center;

    &--textarea {
      width: 30vh;
      height: 4rem;
      margin: 5%;
      padding: 0;
      border-radius: 0.5rem;
      border: solid $lightTransparent;
      text-align: center;
    }

    > select {
      border-radius: 0.5rem;
      border: solid $lightTransparent;
      text-align-last: center;
    }

    &--send {
      border-radius: 10px;
      height: 3rem;
      background: $dark;
      color: $light;
    }
    &--reset {
      border-radius: 10px;
      height: 3rem;
      background: $dark;
      color: $light;
    }
    &--submitbox {
      > input {
        margin-inline: 1rem;
      }
    }
  }
}

@include tablet {
  .ContactForm {
    display: flex;
    flex-direction: column;
    align-items: center;

    &--submitbox {
      display: flex;
      width: 30vh;
      justify-content: space-between;
    }
  }
}

@include desktop {
  .ContactForm {
    display: flex;
    flex-direction: column;
    align-self: center;
    margin-right: 15rem;

    &__input {
      width: 25rem;
      height: 5rem;

      &--textarea {
        width: 25rem;
        height: 15rem;
      }
    }
    > select {
      display: flex;
      text-align-last: center;
    }

    &--submitbox {
      display: flex;
      width: 30vh;
      justify-content: space-between;
    }
  }
}

@include large {
  .ContactForm {
    display: flex;
    flex-direction: column;
    align-self: center;
    margin-right: 15rem;

    &__input {
      width: 25rem;
      height: 5rem;
      font-size: xx-large;

      &--textarea {
        width: 25rem;
        height: 15rem;
        font-size: xx-large;
      }
    }
    > select {
      display: flex;
      text-align-last: center;
    }

    &--submitbox {
      display: flex;
      width: 30vh;
      justify-content: space-between;
    }
  }
}
